/migrations/{id}/precreate
POST
/migrations/{id}/precreate
const url = 'https://example.com/api/v1/migrations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/precreate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"addresses":["example"],"copyQuotas":false,"map":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/migrations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/precreate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "addresses": [ "example" ], "copyQuotas": false, "map": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
addresses
required
Array<string>
copyQuotas
boolean
map
boolean
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
created
required
Array<object>
object
address
required
string
password
required
string
skipped
required
Array<object>
object
address
required
string
reason
required
string
mapped
required
integer
Examplegenerated
{ "created": [ { "address": "example", "password": "example" } ], "skipped": [ { "address": "example", "reason": "example" } ], "mapped": 1}